#
# spec file for package libSOIL
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 1

Name:           libSOIL
Version:        1.07.20080707
Release:        11.3
Summary:        Simple OpenGL Image Library
License:        SUSE-Public-Domain and MIT
Group:          System/Libraries
Url:            http://lonesock.net/soil.html
#Source:        http://www.lonesock.net/files/soil.zip
Source:         soil.zip
Patch0:         %{name}-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  Mesa-devel
BuildRequires:  unzip

%description
SOIL is a tiny C library used primarily for uploading textures into OpenGL.
It supports loading BMP, PNG, JPG, TGA, DDS, PSD and HDR files as well as
saving into TGA, BMP and DDS Files.
It is also able to perform common functions needed in loading OpenGL textures.

%package -n %{name}%{soname}
Summary:        Simple OpenGL Image Library
Group:          System/Libraries

%description -n %{name}%{soname}
SOIL is a tiny C library used primarily for uploading textures into OpenGL.
It supports loading BMP, PNG, JPG, TGA, DDS, PSD and HDR files as well as
saving into TGA, BMP and DDS Files.
It is also able to perform common functions needed in loading OpenGL textures.

%package devel
Summary:        Libsoil development files
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}

%description devel
Headers and libraries to program against %{name}

%prep
%setup -q -n soil
%patch0

%build
export CFLAGS='%{optflags}'
make %{?_smp_mflags} -C src -f ../projects/makefile/alternate\ Makefile.txt

%install
make install DESTDIR="%buildroot" LIBDIR=%{_libdir} -C src -f ../projects/makefile/alternate\ Makefile.txt

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(0644, root, root, 0755)
%doc soil.html
%{_libdir}/%{name}.so.%{soname}*

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/%{name}.so
%{_includedir}/SOIL

%changelog
* Fri Apr 19 2013 idonmez@suse.com
- Re-zip the source to remove spaces from the directory name
* Wed Mar 27 2013 jengelh@inai.de
- Unbreak SLE build by killing off %%make_install
* Wed Mar 27 2013 cfarrell@suse.com
- license update: SUSE-Public-Domain and MIT
  If the licenses are not aggregated the MIT should be entered as license
* Thu Mar 21 2013 joop.boonen@opensuse.org
- Corrected the License
* Sun Oct 24 2010 reddwarf@opensuse.org
- Initial package
